Users
List Users
Retrieve a paginated list of users for your company.
GET
/
api
/
public
/
v1
/
users
List Users
curl --request GET \
--url https://api.example.com/api/public/v1/usersimport requests
url = "https://api.example.com/api/public/v1/users"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/public/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "usr_123...",
"email": "jane.doe@example.com",
"firstName": "Jane",
"lastName": "Doe",
"role": "EMPLOYEE",
"employmentType": "FULL_TIME",
"position": "Software Engineer",
"isActive": true,
"assignedManagerId": "usr_456...",
"createdAt": "2026-05-01T00:00:00.000Z",
"updatedAt": "2026-05-18T00:00:00.000Z"
}
]
}
This is primarily useful for syncing user directories with third-party HR, payroll, or SSO tools.
Query Parameters
string
Filter users by their role (e.g.,
SUPER_ADMIN, COMPANY_ADMIN, MANAGER, EMPLOYEE).string
Filter users by employment type (e.g.,
FULL_TIME, PART_TIME, CASUAL, CONTRACTOR).boolean
Filter active vs inactive users. Defaults to
true.Response
{
"data": [
{
"id": "usr_123...",
"email": "jane.doe@example.com",
"firstName": "Jane",
"lastName": "Doe",
"role": "EMPLOYEE",
"employmentType": "FULL_TIME",
"position": "Software Engineer",
"isActive": true,
"assignedManagerId": "usr_456...",
"createdAt": "2026-05-01T00:00:00.000Z",
"updatedAt": "2026-05-18T00:00:00.000Z"
}
]
}
⌘I
List Users
